# Uses of Class
com.github.lgooddatepicker.zinternaltools.TimeChangeEvent

Packages that use TimeChangeEvent
Package
Description
com.github.lgooddatepicker.optionalusertools
com.github.lgooddatepicker.zinternaltools

## Uses of TimeChangeEvent in com.github.lgooddatepicker.optionalusertools

Methods in com.github.lgooddatepicker.optionalusertools with parameters of type TimeChangeEvent
Modifier and Type
Method
Description
`void`
TimeChangeListener.`timeChanged(TimeChangeEvent event)`
timeChanged, This function will be called whenever the time in the applicable time picker has changed.

## Uses of TimeChangeEvent in com.github.lgooddatepicker.zinternaltools

Methods in com.github.lgooddatepicker.zinternaltools that return TimeChangeEvent
Modifier and Type
Method
Description
`TimeChangeEvent`
DateTimeChangeEvent.`getTimeChangeEvent()`
getTimeChangeEvent, If the time changed, then this returns the time change event.
Constructors in com.github.lgooddatepicker.zinternaltools with parameters of type TimeChangeEvent
Modifier
Constructor
Description
``
`DateTimeChangeEvent(DateTimePicker source, DatePicker datePicker, TimePicker timePicker, DateChangeEvent dateChangeEvent, TimeChangeEvent timeChangeEvent)`
Constructor.